Loading...
Searching...
No Matches
nanoflann::array_or_vector< DIM, T > Struct Template Reference
nanoflann C++ library for KD-trees » Auxiliary metaprogramming stuff

`#include <nanoflann.hpp>`

## Public Types

using | type = std::array<T, DIM>

## Detailed Description

template<int32_t DIM, typename T>
struct nanoflann::array_or_vector< DIM, T >

Used to declare fixed-size arrays when DIM>0, dynamically-allocated vectors when DIM=-1. Fixed size version for a generic DIM:

The documentation for this struct was generated from the following file:

- include/nanoflann.hpp